package com.bootdo.data.dao;

import com.bootdo.data.entity.TfInfoEnterprise;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 法人表(TfInfoEnterprise)表数据库访问层
 *
 * @author makejava
 * @since 2022-05-09 15:51:40
 */
public interface TfInfoEnterpriseDao {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    TfInfoEnterprise queryById(Integer id);

    /**
     * 查询指定行数据
     *
     * @param offset 查询起始位置
     * @param limit  查询条数
     * @return 对象列表
     */
    List<TfInfoEnterprise> queryAllByLimit(@Param("offset") int offset, @Param("limit") int limit);


    /**
     * 通过实体作为筛选条件查询
     *
     * @param tfInfoEnterprise 实例对象
     * @return 对象列表
     */
    List<TfInfoEnterprise> queryAll(TfInfoEnterprise tfInfoEnterprise);

    /**
     * 分页查询
     *
     * @param map
     * @return
     */
    List<TfInfoEnterprise> queryPage(Map<String, Object> map);

    /**
     * count
     *
     * @param map
     * @return
     */
    int queryPageCount(Map<String, Object> map);

    /**
     * 新增数据
     *
     * @param tfInfoEnterprise 实例对象
     * @return 影响行数
     */
    int insert(TfInfoEnterprise tfInfoEnterprise);

    /**
     * 修改数据
     *
     * @param tfInfoEnterprise 实例对象
     * @return 影响行数
     */
    int update(TfInfoEnterprise tfInfoEnterprise);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 影响行数
     */
    int deleteById(Integer id);

    /**
     * 登陆查询
     *
     * @param parameter
     * @return
     */
    TfInfoEnterprise loginQuery(Map<String, Object> parameter);
}